<?php 
	
    $vced= $_POST['usuario'];
	$vclave=$_POST['clave'];
	session_start();
	$_SESSION["usuario"] = $vced;
	$_SESSION["clave"] = $vclave;
	$_SESSION["id_usuario"]="";
	$_SESSION["vplancha"]="";

	//echo "<script>alert('vced=". $vced."');</script>";
	//echo "<script>alert('vclave=". $vclave."');</script>";
	//Creando la conexión
	$servername ="localhost";
	$username = "root";
	$password = "";
	$dbname = "socelec";
    $conexion= new mysqli($servername, $username, $password, $dbname);
    $resultados = array();
    // Verificando conexión
    if ($conexion->connect_error) {
		echo "<script>alert('Conexión a la Base de datos fallida');</script>";	
		echo "<script>  location.href='login.html' </script>";
		$_SESSION["usuario"] = "";
		$_SESSION["clave"] = "";
		$_SESSION["vplancha"]="";
		$_SESSION["seleccion"]="";
        die("Conexión a la base de datos fallida: " . $conexion->connect_error);
    } 
    //Busca los datos de la persona inscrita y devuelva todos sus datos
    $sql="";
	//echo "<script>alert('sql=". $sql."');</script>";
	//valido que el proceso de votacion este abierto
		$sql = "SELECT `control` FROM `control` ";
	//echo "<script>alert('sql=". $sql."');</script>";
    $resultado = mysqli_query($conexion, $sql);
	$id_estatus=0;
	$row=array();
	//se valida que elproceso de votación este abierto
    //Verificando que la consulta traiga resultados
    if ((mysqli_num_rows($resultado) > 0)) {
        while ($row=mysqli_fetch_array($resultado)) {
			$id_estatus=$row['control'];
		}
	}
	
	//Valido la existencia del usuario y si voto o no
	$sql = "SELECT `usuario`, `clave`, `id1`, `estatusvoto`, `solvencia` FROM `usuarios` INNER JOIN `padronelec` ON `usuarios`.`id1` = `padronelec`.`id` WHERE `usuario`='" . $vced. "' and `clave`='" . $vclave."'";
	//echo "<script>alert('sql=". $sql."');</script>";
    $resultado = mysqli_query($conexion, $sql);
	$id_usuario=0;
	$novoto="N";
	$usuarioaceptado=0;
	$estatussolvencia=0; //0 insolvente, 1 solvente
	$row=array();
    //Verificando que la consulta traiga resultados
    if ((mysqli_num_rows($resultado) > 0)) {
        while ($row=mysqli_fetch_array($resultado)) {
			//echo "<script>alert('id_usuario=". $row['id1'] ."');</script>";
			$id_usuario=$row['id1'];
			$_SESSION["id_usuario"]=$row['id1'];
            $novoto = $row['estatusvoto'];
			$usuarioaceptado=1;
			if ($row['solvencia']=='INSOLVENTE'){
				$estatussolvencia=0;
			} else {
				$estatussolvencia=1;
			}
		}
	}	
	$conexion->close();
	if ($id_estatus==0) {
        echo "<script>alert('El Proceso Electoral no ha sido aún aperturadlo');</script>";	
		echo "<script>  location.href='login.html' </script>";
		$_SESSION["usuario"] = "";
		$_SESSION["clave"] = "";
		$_SESSION["id_usuario"]="";
		$_SESSION["vplancha"]="";
		$_SESSION["seleccion"]="";		
	} else {
			if ($usuarioaceptado==0) {
				echo "<script>alert('El Usuario: ". $vced. " No está habilitado o Clave no coincide');</script>";			
				echo "<script>  location.href='login.html' </script>";
				$_SESSION["usuario"] = "";
				$_SESSION["clave"] = "";
				$_SESSION["id_usuario"]="";
				$_SESSION["vplancha"]="";
				$_SESSION["seleccion"]="";
			} else {
				if ($novoto=='S') {
					echo "<script>alert('El Usuario: ". $vced. " Ya Ejerció su derecho al voto');</script>";			
					echo "<script>  location.href='login.html' </script>";
					$_SESSION["usuario"] = "";
					$_SESSION["clave"] = "";
					$_SESSION["id_usuario"]="";
					$_SESSION["vplancha"]="";
					$_SESSION["seleccion"]="";
				} else {
					if ($estatussolvencia==0) {
						echo "<script>alert('El Usuario: ". $vced. " esta Insolvente, No Puede Participar');</script>";			
						echo "<script>  location.href='login.html' </script>";
						$_SESSION["usuario"] = "";
						$_SESSION["clave"] = "";
						$_SESSION["id_usuario"]="";
						$_SESSION["vplancha"]="";
						$_SESSION["seleccion"]="";
					}
					else {
						echo "<script>  location.href='votos.php' </script>";	
					}	
				}
			}
		}
?>
